#
# spec file for package perl-parent
#

# norootforbuild

Name:          perl-parent
%define        cpan_name %( %{__sed} -e 's,perl-,,' <<< %{name} )
Summary:       Replace functions with ones that succeed or die with lexical scope
Url:           http://search.cpan.org/perldoc?parent
Group:         Development/Libraries/Perl
License:       Artistic License
Version:       0.228
Release:       1.1
Source:        %{cpan_name}-%{version}.tar.bz2
BuildRequires: perl-macros
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
The parent pragma provides a convenient way to replace functions that normally
return false on failure with equivalents that throw an exception on failure.

The parent pragma has lexical scope, meaning that functions and subroutines
altered with parent will only change their behaviour until the end of the
enclosing block, file, or eval.

If system is specified as an argument to parent, then it uses
IPC::System::Simple to do the heavy lifting. See the description of that module
for more information.

Author:
-------
    Paul Fenwick <pjf@perltraining.com.au>


%prep
%setup -n %{cpan_name}-%{version}
find . -type f -exec chmod -x {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" # PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%__make DESTDIR=%{buildroot} install

# cleanup
%{__rm} -rf %{buildroot}%{perl_archlib}/perllocal.pod \
                %{buildroot}%{perl_vendorarch}/auto/parent/.packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc Changes MANIFEST
%{perl_vendorlib}/parent.pm
%{_mandir}/man3/parent.3pm.gz

%changelog
* Mon Dec 29 2014 cs@linux-administrator.com
- initial build
